body {
  height: 100%;
  width: 100%;
  margin: 0;
  box-sizing: border-box;
  overflow-x: hidden;
}

html {
  font-family: "Montserrat", sans-serif;
  overflow-x: hidden;
  scroll-behavior: smooth;
}

button,
input,
select,
textarea {
  outline: 0;
  font-family: "Montserrat", sans-serif;
  padding: 0;
  box-sizing: border-box;
}

textarea {
  resize: vertical;
}

.image_mistake{
  background: linear-gradient(
      to left,
      rgba(0, 0, 0, 0),
      rgba(0, 0, 0, 0.2),
      rgba(0, 0, 0, 0.45),
      rgba(0, 0, 0, 0.65),
      rgba(0, 0, 0, 0.65)
    ),
    url("../images/643816dc482ffc13fe6a0957_5f8d5b0cb375c64c42db253a_11-Common-Mistakes-Made-During-Architectural-Visualization.jpeg");
}

.image_vr{
  background: linear-gradient(
      to left,
      rgba(0, 0, 0, 0),
      rgba(0, 0, 0, 0.2),
      rgba(0, 0, 0, 0.45),
      rgba(0, 0, 0, 0.65),
      rgba(0, 0, 0, 0.65)
    ),
    url("../images/VRforArchitecture_1640x894.jpg");
}

.image_software {
  background: linear-gradient(
      to left,
      rgba(0, 0, 0, 0),
      rgba(0, 0, 0, 0.2),
      rgba(0, 0, 0, 0.45),
      rgba(0, 0, 0, 0.65),
      rgba(0, 0, 0, 0.65)
    ),
    url("../images/hobbyfoamsupplies.com.au-....jpeg");
}

.image_b_main {
  background: linear-gradient(
      to left,
      rgba(0, 0, 0, 0),
      rgba(0, 0, 0, 0.2),
      rgba(0, 0, 0, 0.45),
      rgba(0, 0, 0, 0.65),
      rgba(0, 0, 0, 0.65)
    ),
    url("../images/Big Villa 1.1.webp");
}

.image_c_main {
  background: linear-gradient(
      to left,
      rgba(0, 0, 0, 0),
      rgba(0, 0, 0, 0.2),
      rgba(0, 0, 0, 0.45),
      rgba(0, 0, 0, 0.65),
      rgba(0, 0, 0, 0.65)
    ),
    url("../images/ModernHomewSwimmingPool1.webp");
}


.image_d_main {
  background: linear-gradient(
      to left,
      rgba(0, 0, 0, 0),
      rgba(0, 0, 0, 0.2),
      rgba(0, 0, 0, 0.45),
      rgba(0, 0, 0, 0.65),
      rgba(0, 0, 0, 0.65)
    ),
    url("../images/Interior 2 - 2.webp");
}
.image_b {
  background: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0),
      rgba(0, 0, 0, 0),
      rgba(0, 0, 0, 0.2),
      rgba(0, 0, 0, 0.65),
      rgba(0, 0, 0, 0.65)
    ),
    url("../images/Interior_2.webp");
}

.image_a {
  background: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0),
      rgba(0, 0, 0, 0),
      rgba(0, 0, 0, 0.2),
      rgba(0, 0, 0, 0.65),
      rgba(0, 0, 0, 0.65)
    ),
    url("../images/Interior_1.webp");
}

.image_c {
  background: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0),
      rgba(0, 0, 0, 0),
      rgba(0, 0, 0, 0.2),
      rgba(0, 0, 0, 0.65),
      rgba(0, 0, 0, 0.65)
    ),
    url("../images/Interior_4.webp");
}

.image_d {
  background: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0),
      rgba(0, 0, 0, 0),
      rgba(0, 0, 0, 0.2),
      rgba(0, 0, 0, 0.65),
      rgba(0, 0, 0, 0.65)
    ),
    url("../images/1.jpg");
}

.col-1 {
  grid-column: span 1;
}
.col-2 {
  grid-column: span 2;
}
.col-3 {
  grid-column: span 3;
}
.col-4 {
  grid-column: span 4;
}
.col-5 {
  grid-column: span 5;
}
.col-6 {
  grid-column: span 6;
}
.col-7 {
  grid-column: span 7;
}
.col-8 {
  grid-column: span 8;
}
.col-9 {
  grid-column: span 9;
}
.col-10 {
  grid-column: span 10;
}
.col-11 {
  grid-column: span 11;
}
.col-12 {
  grid-column: span 12;
}

.a_image {
  background: linear-gradient(
      to bottom,
      rgba(251, 253, 255, 1),
      rgba(251, 253, 255, 0.2),
      rgba(251, 253, 255, 0.15),
      rgba(251, 253, 255, 0.1)
    ),
    url("../images/Small Suburb House_2.webp");
}

.full_wrapper {
  width: 100%;
  justify-content: space-between;
  flex-wrap: wrap;
  display: flex;
  margin: auto;
  align-items: center;
}

@media screen and (min-width: 2100px) {
  .main_header_bage {
    margin-top: 15rem;
    width: 100%;
    position: relative;
    background: linear-gradient(to right, #f8f8f8, #f6f6f6, #fff6ef);
  }

  .bar_section {
    width: 100%;
    position: relative;
    height: 140px;
    margin-top: 7rem;
  }
}

@media screen and (min-width: 1700px) and (max-width: 2100px) {
  .main_header_bage {
    margin-top: 8rem;
    width: 100%;
    position: relative;
    background: linear-gradient(to right, #f8f8f8, #f6f6f6, #fff6ef);
  }

  .bar_section {
    width: 100%;
    position: relative;
    height: 140px;
  }
}

@media screen and (min-width: 970px) and (max-width: 1700px) {
  .main_header_bage {
    margin-top: 8rem;
    width: 100%;
    position: relative;
    background: linear-gradient(to right, #f8f8f8, #f6f6f6, #fff6ef);
  }

  .bar_section {
    width: 100%;
    position: relative;
    height: 140px;
  }
}

@media only screen and (min-width: 1700px) {
  .topnva_container {
    width: 1680px;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
    height: 80px;
  }


  .section_bar {
    padding: 8rem 0 0 0;
  }
  .contact_container{
    width: 1280px;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    background-color: #2b2e37;
    position: absolute;
    box-sizing: border-box;
    padding: 1rem;
    top: -350px;
    margin-left: calc(50% - 640px);
    height: 480px;
  }

  .background_img_container_card_placer {
    width: 1680px;
    position: relative;
    margin: auto;
    height: 500px;
  }

  .background_card{
    background-color:rgba(43, 46, 55, .85);
    height: 120%;
    top:-10%;
    width: 30%;
    right: 0;
    position: absolute;
    justify-content: space-around;
    flex-direction: column;
    flex-wrap: wrap;
    display: flex;
    align-items: center;
    box-sizing: border-box;
    padding: 1rem;
  }

  .arrow_container {
    position: absolute;
    width: 1680px;
    height: 250px;
    left: calc(50% - 840px);
    z-index: 20;
    top: 0;
  }

  .top_section {
    width: 100%;
  }

  .bar_placer {
    position: relative;
    width: 1280px;
    margin: auto;
    height: 100px;
  }

  .top_bar {
    width: 100%;
    position: absolute;
    height: 240px;
    top: -100px;
    background-color: #fff;
    box-shadow: 0 0 45px 0 rgba(0, 0, 0, 0.15);
    box-sizing: border-box;
    padding: 1rem;
  }

  .top_bar_wrapper {
    width: 100%;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
  }

  .float_img_section {
    position: relative;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    align-items: center;
  }

  .main_header_title {
    font-size: 4rem;
    margin: 0;
    color: #2b2e37;
    font-weight: 500;
  }

  .float_wrapper {
    width: 1680px;
    height: 580px;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
  }

  .float_img_containe_right {
    height: 580px;
    position: absolute;
    right: 0;
    top: 0;
    width: calc(50% + 280px);
  }

  .float_img_container {
    height: 580px;
    position: absolute;
    left: 0;
    top: 0;
    width: calc(50% + 280px);
  }

  .float_img {
    height: 580px;
    width: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
  }

  .float_wrapper_reverse {
    width: 1680px;
    justify-content: space-between;
    height: 580px;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
    flex-direction: row-reverse;
  }

  .float_text_container {
    z-index: 5;
    box-sizing: border-box;
    height: fit-content;
    padding: 2rem;
    background-color: #ffffff;
    width: 700px;
    box-shadow: 0 0 45px 0 rgba(0, 0, 0, 0.15);
    right: 0;
  }

  .container {
    grid-template-columns: repeat(12, 1fr);
    margin: 0 auto;
    display: grid;
    grid-gap: 36px;
    max-width: 1680px;
  }

  .main_header_wrapper {
    width: 1680px;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
  }

  .wrapper {
    width: 1680px;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
  }

  .float_img_main {
    position: absolute;
    right: 0;
    bottom: 0;
    object-fit: cover;
    height: fit-content;
    width: calc(50% + 285px);
    animation: grow_img 1s ease-out forwards;
    transform-origin: right bottom; /* Anchor growth from bottom-right */
  }

  .main_header_text_container {
    width: 33.33%;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    box-sizing: border-box;
    padding: 2rem 0;
    height: 400px;
    display: flex;
    opacity: 0;
    transform: translateY(20px);
    animation: fadeInUp 1s ease-out forwards;
  }

  .main_header_text_containerB {
    width: 50%;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    box-sizing: border-box;
    padding: 4rem 0;
    display: flex;
    height: 400px;
    opacity: 0;
    transform: translateY(20px);
    animation: fadeInUp 1s ease-out forwards;
  }

  .bar_text_container {
    z-index: 5;
    height: 110px;
    width: calc(840px - 1rem);
    margin-left: calc(50% - 840px);
    bottom: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
}

@media only screen and (min-width: 1300px) and (max-width: 1700px) {
  .topnva_container {
    width: 1280px;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
    height: 80px;
  }


  .section_bar {
    padding: 8rem 0 0 0;
  }


  .contact_container{
    width: 1280px;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    background-color: #2b2e37;
    position: absolute;
    box-sizing: border-box;
    padding: 1rem;
    top: -350px;
    margin-left: calc(50% - 640px);
    height: 480px;
  }


  .background_img_container_card_placer {
    width: 1280px;
    position: relative;
    margin: auto;
  }

  .arrow_container {
    position: absolute;
    width: 1280px;
    height: 250px;
    left: calc(50% - 640px);
    z-index: 20;
    top: 0;
  }

  .background_img_container_card_placer {
    width: 1280px;
    position: relative;
    margin: auto;
    height: 500px;
  }

  .background_card{
    background-color:rgba(43, 46, 55, .85);
    height: 120%;
    top:-10%;
    width: 30%;
    right: 0;
    position: absolute;
    justify-content: space-around;
    flex-direction: column;
    flex-wrap: wrap;
    display: flex;
    align-items: center;
    box-sizing: border-box;
    padding: 1rem;
  }

  .bar_placer {
    position: relative;
    width: 1280px;
    margin: auto;
    height: 100px;
  }

  .top_bar {
    width: 100%;
    position: absolute;
    height: 240px;
    top: -100px;
    background-color: #fff;
    box-shadow: 0 0 45px 0 rgba(0, 0, 0, 0.15);
    box-sizing: border-box;
    padding: 1rem;
  }

  .top_bar_wrapper {
    width: 100%;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
  }

  .main_header_title {
    font-size: 3rem;
    margin: 0;
    color: #2b2e37;
    font-weight: 500;
  }

  .bar_text_container {
    z-index: 5;
    height: 110px;
    width: calc(640px - 1rem);
    margin-left: calc(50% - 640px);
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .float_img_section {
    position: relative;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    align-items: center;
  }

  .float_wrapper {
    width: 1280px;
    height: 580px;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
  }

  .float_img_containe_right {
    height: 580px;
    position: absolute;
    right: 0;
    top: 0;
    width: calc(50% + 180px);
  }

  .float_img_container {
    height: 580px;
    position: absolute;
    left: 0;
    top: 0;
    width: calc(50% + 180px);
  }

  .float_img {
    height: 580px;
    width: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
  }

  .float_wrapper_reverse {
    width: 1280px;
    justify-content: space-between;
    height: 580px;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
    flex-direction: row-reverse;
  }

  .float_text_container {
    z-index: 5;
    box-sizing: border-box;
    height: fit-content;
    padding: 2rem;
    background-color: #ffffff;
    width: 700px;
    box-shadow: 0 0 45px 0 rgba(0, 0, 0, 0.15);
    right: 0;
  }

  .container {
    grid-template-columns: repeat(12, 1fr);
    margin: 0 auto;
    display: grid;
    grid-gap: 36px;
    max-width: 1280px;
  }

  .main_header_wrapper {
    width: 1280px;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
  }

  .wrapper {
    width: 1280px;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
  }

  .float_img_main {
    position: absolute;
    right: 0;
    bottom: 0;
    object-fit: cover;
    height: fit-content;
    width: calc(50% + 200px);
    animation: grow_img 1s ease-out forwards;
    transform-origin: right bottom; /* Anchor growth from bottom-right */
  }

  .main_header_text_container {
    width: 33.33%;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    box-sizing: border-box;
    padding: 1rem 0;
    height: 320px;
    display: flex;
    opacity: 0;
    transform: translateY(20px);
    animation: fadeInUp 1s ease-out forwards;
  }

  .main_header_text_containerB {
    width: 50%;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    box-sizing: border-box;
    padding: 4rem 0;
    display: flex;
    height: 320px;
    opacity: 0;
    transform: translateY(20px);
    animation: fadeInUp 1s ease-out forwards;
  }
}

@media only screen and (min-width: 970px) and (max-width: 1300px) {
  .topnva_container {
    width: 960px;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
    height: 80px;
  }
  .background_img_container_card_placer {
    width: 960px;
    position: relative;
    margin: auto;
  }

  .section_bar {
    padding: 0;
  }

  .contact_container{
    width: 960px;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    background-color: #2b2e37;
    position: absolute;
    box-sizing: border-box;
    padding: 1rem;
    top: -350px;
    margin-left: calc(50% - 480px);
    height: 490px;
  }

  .background_img_container_card_placer {
    width: 960px;
    position: relative;
    margin: auto;
    height: 500px;
  }

  .background_card{
    background-color:rgba(43, 46, 55, .85);
    height: 120%;
    top:-10%;
    width: 40%;
    right: 0;
    position: absolute;
    justify-content: space-around;
    flex-direction: column;
    flex-wrap: wrap;
    display: flex;
    align-items: center;
    box-sizing: border-box;
    padding: 1rem;
  }

  .main_header_title {
    font-size: 3rem;
    margin: 0;
    color: #2b2e37;
    font-weight: 500;
  }

  .bar_placer {
    position: relative;
    width: 960px;
    margin: auto;
    height: 125px;
  }

  .top_bar {
    width: 100%;
    position: absolute;
    height: 280px;
    top: -125px;
    background-color: #fff;
    box-shadow: 0 0 45px 0 rgba(0, 0, 0, 0.15);
    box-sizing: border-box;
    padding: 1rem;
  }

  .top_bar_wrapper {
    width: 100%;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
  }

  .bar_text_container {
    z-index: 5;
    height: 110px;
    width: calc(480px - 1rem);
    margin-left: calc(50% - 480px);
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .arrow_container {
    position: absolute;
    width: 960px;
    height: 250px;
    margin-left: calc(50% - 480px);
    z-index: 20;
    top: 0;
  }

  .float_img_section {
    position: relative;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    align-items: center;
  }

  .float_wrapper {
    width: 960px;
    height: 580px;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
  }

  .float_img_container {
    height: 580px;
    position: absolute;
    left: 0;
    top: 0;
    width: calc(50% + 180px);
  }

  .float_img_containe_right {
    height: 580px;
    position: absolute;
    right: 0;
    top: 0;
    width: calc(50% + 180px);
  }

  .float_img {
    height: 580px;
    width: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
  }

  .float_wrapper_reverse {
    width: 960px;
    justify-content: space-between;
    height: 580px;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
    flex-direction: row-reverse;
  }

  .float_text_container {
    z-index: 5;
    box-sizing: border-box;
    height: fit-content;
    padding: 2rem;
    background-color: #ffffff;
    width: 700px;
    box-shadow: 0 0 45px 0 rgba(0, 0, 0, 0.15);
    right: 0;
  }

  .container {
    grid-template-columns: repeat(12, 1fr);
    margin: 0 auto;
    display: grid;
    grid-gap: 36px;
    max-width: 960px;
  }

  .main_header_wrapper {
    width: 960px;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
  }

  .wrapper {
    width: 960px;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
  }

  .float_img_main {
    position: absolute;
    right: 0;
    bottom: 0;
    object-fit: cover;
    height: fit-content;
    width: calc(50% + 200px);
    animation: grow_img 1s ease-out forwards;
    transform-origin: right bottom; /* Anchor growth from bottom-right */
  }

  .main_header_text_container {
    width: 33.33%;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    box-sizing: border-box;
    padding: 1rem 0;
    height: 420px;
    display: flex;
    opacity: 0;
    transform: translateY(20px);
    animation: fadeInUp 1s ease-out forwards;
  }

  .main_header_text_containerB {
    width: 50%;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    box-sizing: border-box;
    padding: 4rem 0;
    display: flex;
    height: 420px;
    opacity: 0;
    transform: translateY(20px);
    animation: fadeInUp 1s ease-out forwards;
  }
}

@media only screen and (min-width: 970px) {
  .topnav {
    height: 80px;
    width: 100%;
  }


.footer_logo{
  width: 40%;
  margin: 1rem 0;
}

  .full_img{
    width: 100%;
    height: 600px;
    object-fit: cover;
    margin: 1rem 0;
  }

  .portfolio{
    width: 100%;
    height: 420px;
    object-fit: cover;
  }

  .main_header_img {
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    padding: 12rem 0;
    background-attachment: fixed;
  }

  .sideNavBackground {
    display: none;
  }

  .sideNav {
    display: none;
  }

  .section {
    padding: 8rem 0;
  }

  .grey_extender_section {
    position: relative;
    width: 100%;
    padding: 0 0 8rem 0;
  }

  .grey_section {
    background-color: #fbfdff;
    width: 100%;
    padding: 8rem 0;
  }

  .logo {
    height: 60px;
  }

  .topnav_mobile {
    display: none;
  }
  .nav_btn {
    color: #2b2e37;
    font-size: 14px;
    margin: 0 2rem;
    height: 100%;
    font-weight: 600;
    text-decoration: none;
  }

  .nav_btn:hover {
    cursor: pointer;
    text-decoration: underline;
    text-decoration-thickness: 3px;
  }

  .nav_btn_active {
    color: #2b2e37;
    font-size: 14px;
    margin: 0 2rem;
    height: 100%;
    font-weight: 600;
    text-decoration: underline;
    text-decoration-thickness: 3px;
  }

  .nav_contact {
    background-color: #2b2e37;
    font-size: 14px;
    margin: 0 2rem;
    padding: 0.5rem 1rem;
    border-radius: 12px;
    height: 100%;
    font-weight: 600;
    text-decoration: none;
    color: #ffffff;
  }

  .nav_contact:hover {
    cursor: pointer;
    background-color: #23252c;
  }

  .nav {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    display: flex;
  }

  .main_header_text_top {
    font-size: 1rem;
    font-weight: 500;
    color: #2b2e37;
    margin: 0;
  }

  .basic_text {
    font-size: 14px;
    line-height: 2;
    color: #2b2e37;
    margin: 0;
  }

  .basic_text_w {
    font-size: 14px;
    line-height: 2;
    color: #fff;
    margin: 0;
  }

  .main_btn {
    background-color: #2b2e37;
    font-size: 14px;
    padding: 0.8rem 2rem;
    border-radius: 12px;
    width: fit-content;
    height: fit-content;
    font-weight: 500;
    text-decoration: none;
    color: #ffffff;
  }

  .main_btn:hover {
    background-color: #23252c;
    cursor: pointer;
  }

  .section_heading_center_w {
    font-size: 2.5rem;
    font-weight: 500;
    color: #ffffff;
    width: 50%;
    margin: 1rem auto;
  }

  .basic_text_center_w {
    font-size: 14px;
    line-height: 2;
    color: #ffffff;
    margin: 0 auto;
    width: 50%;
  }

  .section_heading_center {
    font-size: 2.5rem;
    font-weight: 500;
    color: #2b2e37;
    width: 50%;
    margin: 1rem auto;
  }

  .basic_text_center {
    font-size: 14px;
    line-height: 2;
    color: #2b2e37;
    margin: 0 auto;
    width: 50%;
  }

  .small_heading {
    font-size: 1.5rem;
    font-weight: 500;
    color: #2b2e37;
  }

  .small_heading_w {
    font-size: 1.5rem;
    font-weight: 500;
    color: #fff;
  }

  .grey_fade_background_img {
    background-size: cover;
    background-position: center;
    padding: 18rem 0;
    background-repeat: no-repeat;
  }

  .section_heading {
    font-size: 2.5rem;
    color: #2b2e37;
    font-weight: 500;
  }  
  
  .section_heading_w {
    font-size: 2.5rem;
    color: #fff;
    font-weight: 500;
  }

  .card_heading {
    font-size: 2.5rem;
    color: #2b2e37;
    font-weight: 500;
    margin-top: 0;
    margin-bottom: 1rem;
  }

  .card_line {
    border: none;
    border-bottom: 1px solid #2b2e37;
    width: 280px;
    margin-top: 1rem;
    margin-left: 0;
  }

  .small_line_w {
    border: none;
    border-bottom: 1px solid #fff;
    width: 120px;
    margin-left: 0;
  }

  .background_img {
    width: 100%;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    padding: 2rem 0;
    background-attachment: fixed;
  }

  .contact_section {
    width: 100%;
    background: 
    url("../images/Interior_2.webp");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    padding: 2rem 0 35rem 0;
    background-attachment: fixed;
    position: relative;
    margin-top: 380px;
  }

  .mini_section {
    padding: 2rem 0 8rem 0;
  }

  .background_img_container {
    margin: auto;
    padding: 30rem 0 0 0;
  }

  .flex_50 {
    width: calc(50% - 1rem);
  }

  .flex_3 {
    width: 30%;
  }

  .flex_contact_text {
    width: calc(33% - 18px);
    display: block;
  }

  .flex_contact_form {
    width: calc(66% - 18px);
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    align-items: space-between;
    flex-direction: column;
  }

  .step_header_container {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
    width: 100%;
  }

  .step_counter_d {
    font-size: 3rem;
    color: #2b2e37;
    margin: 0;
    font-weight: 700;
  }

  .step_line_d {
    border: none;
    border-bottom: 2px solid #2b2e37;
    width: 80%;
    margin-right: 0;
  }

  .step_counter {
    font-size: 3rem;
    color: #fff;
    margin: 0;
    font-weight: 700;
  }

  .step_line {
    border: none;
    border-bottom: 2px solid #fff;
    width: 80%;
    margin-right: 0;
  }

  .full_line {
    border: none;
    border-bottom: 1px solid #2b2e37;
    width: 100%;
    margin-right: 0;
  }

  .grey_extender {
    position: absolute;
    left: 0;
    top: 0;
    height: 8rem;
    background-color: #fbfdff;
    width: 100%;
    z-index: -1;
  }

  .card {
    background-color: #2b2e37;
    width: 100%;
    box-shadow: rgba(0, 0, 0, 0.15) 0px 0px 45px 0px;
  }

  .card_img_container {
    height: 400px;
    width: 100%;
  }

  .card_img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .card_content {
    box-sizing: border-box;
    padding: 2rem;
  }

  .lower_display_container {
    margin-top: 10rem;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
  }

  .q4_wrapper {
    width: calc(50% - 1rem);
    height: fit-content;
    margin-bottom: 2rem;
  }

  .bar {
    width: 100%;
    height: 110px;
    position: absolute;
    background-color: #2b2e37;
    left: 0;
    bottom: 0;
  }

  .bar_img_trigger_anchor {
    position: relative;
    width: 100%;
    height: 1px;
  }

  .bar_float_image_container {
    width: 50%;
    right: 0;
    position: absolute;
    bottom: 0;
  }

  .bar_img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: scale(0);
  }

  .service_container,
  .service_container_active {
    box-sizing: border-box;
    padding: 0.5rem 0.2rem;
    width: 100%;
    overflow: hidden;
    border-bottom: 1px solid #2b2e37;
  }

  .banner_wrapper {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
  }

  .post_content {
    box-sizing: border-box;
    padding: 2rem;
    width: 100%;
    height: 220px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }

  .post_heading {
    font-size: 14px;
    color: #2b2e37;
    font-weight: 600;
    margin: 0;
  }

  .banner_heading {
    margin: 1rem 0 0.5rem;
    font-size: 14px;
    padding: 0 0.5rem;
    color: #2b2e37;
    font-weight: 600;
    max-width: 90%;
  }

  .post_link {
    font-size: 12px;
    color: #2b2e37;
    font-weight: 600;
    text-decoration: none;
  }

  .post_link:hover {
    text-decoration: underline;
    text-decoration-thickness: 3px;
  }

  .banner_text {
    color: #3d5166;
    font-size: 14px;
    line-height: 2;
    margin: 0.5rem;
  }

  .service_container_text {
    height: 0;
  }

  .service_container_text_active {
    height: 100%;
  }

  .arrow {
    display: inline-block;
    font-size: 1.2rem;
    transition: transform 0.3s ease;
  }

  .arrow_active {
    transform: rotate(90deg); /* makes it point down if originally → */
  }

  .center_it {
    width: 100%;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
  }

  .white_card {
    background-color: #ffffff;
    width: 100%;
    box-shadow: rgba(0, 0, 0, 0.15) 0px 0px 45px 0px;
    box-sizing: border-box;
  }

  .post_img_container {
    height: 250px;
    width: 100%;
  }

  .post_img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .half {
    width: 50%;
  }

  .carousel_section {
    padding-top: 4rem;
    position: relative;
    width: 100%;
    height: 525px;
    display: flex;
    align-items: center;
    overflow: hidden; /* Hide overflow */
  }

  .carousel_track {
    display: flex;
    position: relative;
    left: calc(
      50% - 450px - 32px
    ); /* Center first slide (half of slide width + margin) */
    transition: transform 0.5s ease-in-out;
  }

  .slideshow_img {
    height: 525px;
    width: 900px;
    flex: 0 0 auto;
    margin: 0 32px;
    box-sizing: border-box;
    padding: 0.5rem;
  }

  .portfolio_img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .slideR {
    position: absolute;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 5;
    left: 60px;
  }

  .slideL {
    position: absolute;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 5;
    left: 0;
  }

  .point {
    font-size: 2rem;
  }

  .prev_btn,
  .next_btn {
    background-color: var(--white);
  }
}

@media screen and (max-width: 970px) {
  .topnva_container {
    display: none;
  }

  .full_img{
    width: 100%;
    height: 300px;
    object-fit: cover;
    margin: 1rem 0;
  }

.footer_logo{
  width: 60%;
  margin: 1rem 0;
}

  .portfolio{
    width: 100%;
    height: 300px;
    object-fit: cover;
  }

  .top_section {
    padding: 4rem 0 0 0;
    width: 100%;
  }

  .background_img_container_card_placer {
    width: 96%;
    margin: auto;
  }

  .half {
    width: 100%;
  }

  .flex_contact_text {
    margin-bottom: 2rem;
  }

  .contact_container{
    width: 96%;
    margin: auto;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    background-color: #2b2e37;
    box-sizing: border-box;
    padding: 1rem;
  }

  .contact_section{
    width: 100%;
    background: 
    url("../images/Interior_2.webp");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    padding: 8rem 0;
    margin-top: 4rem;
  }

  .background_img_container_card_placer {
    width: 96%;
    margin: auto;
  }

  .background_card{
    background-color:rgba(43, 46, 55, .85);
    justify-content: space-around;
    flex-direction: column;
    flex-wrap: wrap;
    display: flex;
    align-items: center;
    box-sizing: border-box;
    padding: 1rem;
    margin: 5rem 0;
    width: 100%;
  }

  .bar_placer {
    width: 90%;
    margin: auto;
  }

  .top_bar {
    background-color: #fff;
    box-shadow: 0 0 45px 0 rgba(0, 0, 0, 0.15);
    box-sizing: border-box;
    padding: 1rem;
  }

  .slideR {
    position: absolute;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    bottom: 0;
    cursor: pointer;
    z-index: 5;
    right: 20px;
  }

  .slideL {
    position: absolute;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 5;
    left: 20px;
  }

  .leftimg,
  .rightimg {
    width: 20px;
  }

  .prev_btn,
  .next_btn {
    background-color: var(--white);
  }

  .point {
    font-size: 2rem;
  }

  .slideR {
    position: absolute;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 5;
    left: 60px;
  }

  .slideL {
    position: absolute;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 5;
    left: 0;
  }

  .leftimg,
  .rightimg {
    width: 20px;
  }

  .prev_btn,
  .next_btn {
    background-color: var(--white);
  }

  .carousel_section {
    padding-top: 4rem;
    position: relative;
    width: 100%;
    height: 300px;
    display: flex;
    align-items: center;
    justify-content: center; /* Center the carousel track */
    overflow: hidden; /* Hide overflow */
  }

  .carousel_track {
    display: flex;
    position: relative;
    transition: transform 0.5s ease-in-out;
  }

  .portfolio_img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .slideshow_img {
    height: 280px;
    width: 100%;
    flex: 0 0 auto;
    margin: 0 0;
    box-sizing: border-box;
    padding: 0.5rem;
  }

  .arrow_container {
    position: absolute;
    width: 96%;
    height: 250px;
    margin-left: 2%;
    z-index: 20;
    top: 0;
  }

  .top_bar_wrapper {
    width: 100%;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
  }

  .main_header_img {
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    padding: 12rem 0;
  }

  .topnav_mobile {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 96%;
    margin: auto;
    height: 60px;
  }

  .logo {
    height: 40px;
  }

  .menu_btn {
    height: 35px;
  }

  .sideNavBackground {
    width: 0;
    position: fixed;
    z-index: 6;
    height: 100%;
    top: 0;
    right: 0;
    background-color: rgba(0, 0, 0, 0.3);
    overflow-x: hidden;
    transition: 0.3s;
  }

  .sideNav {
    width: 0;
    position: fixed;
    z-index: 7;
    height: 100%;
    top: 0;
    right: 0;
    background-color: #f1f1f1;
    overflow-x: hidden;
    transition: 0.5s;
    border-radius: 14px 0 0 14px;
    box-shadow: 0 0px 50px 5px rgba(0, 122, 246, 0.1);
  }

  .sidenav_btn_nav {
    width: 100%;
    margin: 2rem 0 0 0;
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    overflow-x: hidden;
  }

  .side_nav_btn {
    width: 60%;
    color: #243546;
    margin: 0.5rem 0 0 2rem;
    padding: 0.5rem;
    text-decoration: none;
    font-size: 14px;
    list-style: none;
    font-weight: 600;
  }

  .main_header_bage {
    width: 100%;
    position: relative;
    background: linear-gradient(to right, #f8f8f8, #f6f6f6, #fff6ef);
  }

  .container {
    grid-template-columns: repeat(12, 1fr);
    margin: 0 auto;
    display: grid;
    grid-gap: 18px;
    max-width: 96%;
  }

  .main_header_wrapper {
    width: 96%;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
  }

  .wrapper {
    width: 96%;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
  }

  .main_header_text_containerB {
    width: 100%;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    box-sizing: border-box;
    padding: 4rem 0;
    display: flex;
    opacity: 0;
    transform: translateY(20px);
    animation: fadeInUp 1s ease-out forwards;
  }

  .main_header_text_container {
    width: 100%;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    box-sizing: border-box;
    padding: 4rem 0;
    display: flex;
    opacity: 0;
    transform: translateY(20px);
    animation: fadeInUp 1s ease-out forwards;
  }

  .main_header_text_top {
    font-size: 1rem;
    font-weight: 500;
    color: #2b2e37;
    margin: 0;
  }

  .main_header_title {
    font-size: 2.5rem;
    margin: 1rem 0;
    color: #2b2e37;
    font-weight: 500;
  }

  .basic_text {
    font-size: 14px;
    line-height: 2;
    color: #2b2e37;
    margin: 0;
  }

  .main_btn {
    background-color: #2b2e37;
    font-size: 14px;
    padding: 0.8rem 2rem;
    border-radius: 12px;
    margin-top: 1rem;
    width: fit-content;
    height: fit-content;
    font-weight: 500;
    text-decoration: none;
    color: #ffffff;
  }

  .main_btn:hover {
    background-color: #23252c;
    cursor: pointer;
  }

  .float_img_main {
    object-fit: cover;
    height: fit-content;
    width: 100%;
    animation: grow_img 1s ease-out forwards;
    transform-origin: right bottom; /* Anchor growth from bottom-right */
  }

  .float_img_section {
    position: relative;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    align-items: center;
    width: 96%;
    margin: auto;
  }

  .reverse {
    flex-direction: column-reverse;
  }

  .float_text_container {
    z-index: 5;
    box-sizing: border-box;
    height: fit-content;
    padding: 2rem;
    background-color: #ffffff;
    width: 90%;
    margin: auto;
    box-shadow: 0 0 45px 0 rgba(0, 0, 0, 0.15);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }

  .card_line {
    border: none;
    border-bottom: 1px solid #2b2e37;
    width: 280px;
    margin-top: 1rem;
    margin-left: 0;
  }

  .mini_section {
    padding: 2rem 0 4rem 0;
  }

  .float_wrapper_reverse {
    width: 100%;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    margin: auto;
    align-items: center;
    flex-direction: row-reverse;
  }

  .background_img {
    width: 100%;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    padding: 2rem 0;
  }

  .card_heading {
    font-size: 2rem;
    color: #2b2e37;
    font-weight: 500;
    margin-top: 0;
    margin-bottom: 1rem;
  }

  .float_img {
    height: 280px;
    width: 100%;
    object-fit: cover;
    top: 0;
  }

  .section {
    padding: 4rem 0;
  }

  .section_bar {
    padding: 4rem 0;
  }

  .col-12ssm {
    grid-column: span 12;
  }

  .grey_section {
    background-color: #fbfdff;
    width: 100%;
    padding: 4rem 0;
  }

  .basic_text_center {
    font-size: 14px;
    line-height: 2;
    color: #2b2e37;
    margin: 0 auto;
    width: 100%;
  }

  .section_heading_center {
    font-size: 2rem;
    font-weight: 500;
    color: #2b2e37;
    width: 100%;
    margin: 1rem auto;
  }

  .small_heading {
    font-size: 1.5rem;
    font-weight: 500;
    color: #2b2e37;
  }

  .background_img_container {
    margin: auto;
    padding: 5rem 0;
    width: 96%;
  }

  .flex_3 {
    width: 100%;
  }

  .step_header_container {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
    width: 100%;
  }

  .step_counter {
    font-size: 2.5rem;
    color: #fff;
    margin: 0;
    font-weight: 700;
  }

  .step_counter_d {
    font-size: 2.5rem;
    color: #2b2e37;
    margin: 0;
    font-weight: 700;
  }

  .step_line_d {
    border: none;
    border-bottom: 2px solid #2b2e37;
    width: 80%;
    margin-right: 0;
  }

  .step_line {
    border: none;
    border-bottom: 2px solid #fff;
    width: 80%;
    margin-right: 0;
  }

  .small_heading_w {
    font-size: 1.5rem;
    font-weight: 500;
    color: #fff;
  }

  .more_down {
    margin: 2rem 0;
  }

  .basic_text_w {
    font-size: 14px;
    line-height: 2;
    color: #fff;
    margin: 0;
  }

  .grey_extender_section {
    position: relative;
    width: 100%;
  }

  .card {
    background-color: #2b2e37;
    width: 100%;
    box-shadow: rgba(0, 0, 0, 0.15) 0px 0px 45px 0px;
  }

  .card_img_container {
    height: 250px;
    width: 100%;
  }

  .card_img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .card_content {
    box-sizing: border-box;
    padding: 2rem;
  }

  .small_line_w {
    border: none;
    border-bottom: 1px solid #fff;
    width: 120px;
    margin-left: 0;
  }

  .q4_wrapper {
    width: 100%;
    height: fit-content;
    margin: 2rem 0;
  }

  .full_line {
    display: none;
  }

  .bar_img_trigger_anchor {
    position: relative;
    width: 100%;
    height: 1px;
  }

  .flex_50 {
    width: 100%;
  }

  .bar_section {
    width: 100%;
    margin-top: 1rem;
  }

  .bar_float_image_container {
    width: 100%;
  }

  .bar_img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: scale(0);
  }

  .bar_text_container {
    display: none;
  }

  .section_heading_w {
    font-size: 2.5rem;
    color: #fff;
    font-weight: 500;
  }

  .section_heading {
    font-size: 2.5rem;
    color: #2b2e37;
    font-weight: 500;
  }

  .service_container,
  .service_container_active {
    box-sizing: border-box;
    padding: 0.5rem 0.2rem;
    width: 100%;
    overflow: hidden;
    border-bottom: 1px solid #2b2e37;
  }

  .banner_wrapper {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
  }

  .post_content {
    box-sizing: border-box;
    padding: 2rem;
    width: 100%;
    height: 220px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }

  .post_heading {
    font-size: 14px;
    color: #2b2e37;
    font-weight: 600;
    margin: 0;
  }

  .banner_heading {
    margin: 1rem 0 0.5rem;
    font-size: 14px;
    padding: 0 0.5rem;
    color: #2b2e37;
    font-weight: 600;
    max-width: 90%;
  }

  .service_container_text {
    height: 0;
  }

  .service_container_text_active {
    height: 100%;
  }

  .arrow {
    display: inline-block;
    font-size: 1.2rem;
    transition: transform 0.3s ease;
  }

  .arrow_active {
    transform: rotate(90deg); /* makes it point down if originally → */
  }

  .center_it {
    width: 100%;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
  }

  .banner_text {
    color: #3d5166;
    font-size: 14px;
    line-height: 2;
    margin: 0.5rem;
  }

  .section_heading_center_w {
    font-size: 2.5rem;
    font-weight: 500;
    color: #ffffff;
    width: 100%;
    margin: 1rem auto;
  }

  .basic_text_center_w {
    font-size: 14px;
    line-height: 2;
    color: #ffffff;
    margin: 0 auto;
    width: 100%;
  }

  .white_card {
    background-color: #ffffff;
    width: 100%;
    box-shadow: rgba(0, 0, 0, 0.15) 0px 0px 45px 0px;
    box-sizing: border-box;
  }

  .post_img_container {
    height: 250px;
    width: 100%;
  }

  .post_img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .post_link {
    font-size: 12px;
    color: #2b2e37;
    font-weight: 600;
    text-decoration: none;
  }

  .post_link:hover {
    text-decoration: underline;
    text-decoration-thickness: 3px;
  }
}

.white {
  color: #ffffff;
}

.col_grow {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}

.text_holder {
  width: 100%;
  box-sizing: border-box;
  padding: 1rem 0;
}

  .wrapper_100 {
    display: flex;
    width: 100%;
    margin: auto;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
  }

  .flx_d_input {
    width: 49%;
  }

  .label_d {
    font-weight: 400;
    font-size: 12px;
    color: #2b2e37;
    margin: 0 0 2rem 0;
  }

  .label {
    font-weight: 400;
    font-size: 12px;
    color: #fff;
    margin: 0.5rem 0;
  }

  .input,
  .textarea {
    background-color: #333641;
    border: none;
    color: #fff;
    padding: 0.5rem;
    box-sizing: border-box;
    margin: 0 0 1.5rem;
    font-size: 14px;
    height: 45px;
    width: 100%;
  }

  .textarea {
    border-radius: 4px;
    height: 75px;
  } 
  
  .form_btn {
    background-color: #FBFDFF;
    border: none;
    color: #2b2e37;
    padding: 0.5rem;
    box-sizing: border-box;
    margin: 1rem 0;
    font-size: 14px;
    height: 45px;
    width: 100%;
    z-index: 5;
    transition: all .5s;
  }

  .form_btn:hover {
    background-color: #3d5166;
    color: #fff;
    cursor: pointer;
    transition: all .5s;
  }

  .white_card{
    margin-bottom: 1rem;
  }
.footer_bar{
  background-color: #3d5166;
  color: #fff;
  padding: 1rem 0;
  text-align: center;
}

.footer{
  background-color: #2b2e37;
  padding: 2rem 0 1rem 0;
}

.p_col{
  color: #2b2e37;
}

.G_text {
  font-size: 14px;
  color: #0dac5f;
  font-weight: 600;
  margin: 0;
}

  .link{
    color: #ffffff;
    text-decoration: none;
  }

  .link:hover{
    color: #ffffff;
    text-decoration: underline;
  }

.linkB{
  font-size: 14px;
  margin: 0;
  text-decoration: none;
  color: #2b2e37;
}

.linkB:hover{
  text-decoration: underline;
}